/* Copyright (c) 1990, Silverwood Software
 * Placed in the public domain, 11/01/90
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Use with Novell's Btrieve DLL */

#define vOpen                     0
#define vClose                    1
#define vInsert                   2
#define vUpdate                   3
#define vDelete                   4
#define vGetEqual                 5
#define vGetNext                  6
#define vGetPrevious              7
#define vGetGreater               8
#define vGetGreaterOrEqual        9
#define vGetLessThan             10
#define vGetLessThanOrEqual      11
#define vGetFirst                12
#define vGetLast                 13
#define vCreate                  14
#define vStat                    15
#define vExtend                  16
#define vSetDirectory            17
#define vGetDirectory            18
#define vBeginTransaction        19
#define vEndTransaction          20
#define vAbortTransaction        21
#define vGetPosition             22
#define vGetDirect               23
#define vStepNext                24
#define vStop                    25
#define vVersion                 26
#define vUnlock                  27
#define vReset                   28
#define vSetOwner                29
#define vClearOwner              30
#define vCreateIndex             31
#define vDropIndex               32
#define vStepFirst               33
#define vStepLast                34
#define vStepPrevious            35
#define vGetNextExtended         36
#define vGetPreviousExtended     37
#define vStepNextExtended        38
#define vStepPreviousExtended    39
#define vInsertExtended          40

#define vGetKey                  50   /* Add to any Get<name> operation */
                                      /* for positioning only.          */

#define vLockSingWait            100  /* Locks are applied to    */
#define vLockSingNoWait          200  /* Get<name> or Step<name> */
#define vLockMultWait            300  /* operations when added   */
#define vLockMultNoWait          400  /* to the Get or Step op.  */
